import { ILanguagePackItem } from "@codingame/monaco-vscode-a654b07e-8806-5425-b124-18f03ba8e11a-common/vscode/vs/platform/languagePacks/common/languagePacks";
export declare const ILocaleService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<ILocaleService>;
export interface ILocaleService {
    readonly _serviceBrand: undefined;
    setLocale(languagePackItem: ILanguagePackItem, skipDialog?: boolean): Promise<void>;
    clearLocalePreference(): Promise<void>;
}
export declare const IActiveLanguagePackService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IActiveLanguagePackService>;
export interface IActiveLanguagePackService {
    readonly _serviceBrand: undefined;
    getExtensionIdProvidingCurrentLocale(): Promise<string | undefined>;
}
